System freezes repeatedly for several seconds; wifi driver related errors

Bug #1830350 reported by Frank van Wensveen on 2019-05-24
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
linux-firmware (Ubuntu)
Undecided
Unassigned

Bug Description

I updated my system about a month ago (Fri 26 April 2019). This was the first update in several weeks and installed fresh versions of a whole truck load of applications including a kernel update. Since this latest bunch of updates the system freezes for a few seconds at regular intervals. Not fatal, but very annoying.

Output from "journalctl -f" shows the following errors occurring at the same time as these freezes:

May 24 10:31:18 dellfvw wpa_supplicant[1078]: wlp3s0: CTRL-EVENT-SCAN-FAILED ret=-110
May 24 10:31:18 dellfvw kernel: ath10k_pci 0000:03:00.0: failed to receive scan abortion completion: timed out
May 24 10:31:18 dellfvw kernel: ath10k_pci 0000:03:00.0: failed to stop scan: -110
May 24 10:31:18 dellfvw kernel: ath10k_pci 0000:03:00.0: failed to start hw scan: -110

Corresponding lines in /var/log/syslog:

May 24 10:29:16 dellfvw avahi-daemon[1053]: Registering new address record for fe80::424:c75b:2a2d:52e2 on wlp3s0.*.
May 24 10:29:55 dellfvw avahi-daemon[1053]: Withdrawing address record for fe80::424:c75b:2a2d:52e2 on wlp3s0.
May 24 10:31:18 dellfvw wpa_supplicant[1078]: wlp3s0: CTRL-EVENT-SCAN-FAILED ret=-110
May 24 10:31:18 dellfvw kernel: [45569.661175] ath10k_pci 0000:03:00.0: failed to receive scan abortion completion: timed out
May 24 10:31:18 dellfvw kernel: [45569.661183] ath10k_pci 0000:03:00.0: failed to stop scan: -110
May 24 10:31:18 dellfvw kernel: [45569.661187] ath10k_pci 0000:03:00.0: failed to start hw scan: -110

I do note the interval between the avahi-daemon entry and the subsequent errors related to the wireless network interface, but the former precede the latter consistently in syslog, suggesting they may be related, which is why I'm including it in this report.

The freezes last a few seconds. Keyboard input is preserved at this time and typed input appears after the freeze is resolved. Mouse cursor continues to move during freezes but mouse clicks are only processed after the freeze is resolved, i.e. the result of the mouse click is suspended (e.g. buffered) until the system becomes responsive again. For example, clicking on a window during the freeze will focus that window after the freeze has been resolved.

The system is a Dell Inspiron 15 3576. Relevant output of lspci -nnk:

03:00.0 Network controller [0280]: Qualcomm Atheros QCA9377 802.11ac Wireless Network Adapter [168c:0042] (rev 31)

Output of lsb_release -rd:
Description: Ubuntu 18.04.2 LTS
Release: 18.04

Output of uname -a:
Linux dellfvw 4.15.0-50-generic #54-Ubuntu SMP Mon May 6 18:46:08 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

As already said, this is a new issue that has began occurring only after the recent batch of updates that included a kernel update. I reported the bug (maybe in the wrong place) but so far I have received no response. I've lived with this for a month or so hoping that further updates would fix the problem but it still persists. Installing the latest firmware update (14 Mar 2019) has no effect. No other changes were made to either hardware or OS configuration.

Logfile snippets attached.
---
ProblemType: Bug
ApportVersion: 2.20.9-0ubuntu7.6
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: frankvw 1989 F.... pulseaudio
CurrentDesktop: GNOME
DistroRelease: Ubuntu 18.04
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=7d4169aa-136e-4eac-bb87-bb1b63b0bb27
InstallationDate: Installed on 2018-05-10 (379 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
MachineType: Dell Inc. Inspiron 3576
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.15.0-50-generic root=UUID=0ce4cd7e-e0fd-4fe0-83fc-9f845405ab62 ro quiet splash vt.handoff=1
ProcVersionSignature: Ubuntu 4.15.0-50.54-generic 4.15.18
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-50-generic N/A
 linux-backports-modules-4.15.0-50-generic N/A
 linux-firmware 1.173.6
Tags: bionic
Uname: Linux 4.15.0-50-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip disk lpadmin plugdev sambashare sudo users vboxusers
_MarkForUpload: True
dmi.bios.date: 01/16/2019
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.7.0
dmi.board.name: 0K83NX
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 10
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.7.0:bd01/16/2019:svnDellInc.:pnInspiron3576:pvr:rvnDellInc.:rn0K83NX:rvrA00:cvnDellInc.:ct10:cvr:
dmi.product.family: Inspiron
dmi.product.name: Inspiron 3576
dmi.sys.vendor: Dell Inc.

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1830350/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
affects: ubuntu → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1830350

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: bionic

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

I have followed the above instructions. Output:

$ apport-collect 1830350
dpkg-query: no packages found matching linux

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
lotuspsychje (lotuspsychje) wrote :

Could you try to boot previous kernels as a test please?
then confirm if you can reproduce your issue

According to the APT log (/var/log/apt/term.log*) the update on 26 April last installed the 4.15.0.47 kernel. This is when the problem started, so if this is exclusively kernel-related the problem is a change between 4.15.0.46 and 4.15.0.47.

However, the only two kernel versions currently still available in the grub menu are 4.15.0.48 and 4.15.0.50. So I'm not sure how to revert to a pre-4.15.0.47 kernel. Is there a way to revert to an older kernel from the repositories?

Please advise.

Kai-Heng Feng (kaihengfeng) wrote :

Can you try downgrading the linux-firmware package?

@Kai-Heng Feng:

Sorry, it took me a while to figure out how to do this. I have downgraded the linux-firmware package to 1.173 which is the only version I could find before 1.173.5. The problem started with the update to linux-firmware_1.173.5 and the regular update to 1.173.6 (which was the one running before the downgrade) did not resolve the issue.

@lotuspshychje: I have not yet downgraded the kernel to a previous version. (Current version: 4.15.0-50-generic #54-Ubuntu SMP Mon May 6 18:46:08 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux, current package linux-generic 4.15.0.50.52).

With the current kernel and the downgraded linux-firmware package the symptoms seem to have disappeared. This suggests that the issue is related to the linux-firmware package (starting at 1.173.5)rather than the kernel itself.

(I expect the bug should be reclassified as applying to this package accordingly.)

Kai-Heng Feng (kaihengfeng) wrote :

Please test latest mainline kernel [1] and latest firmware [2]. If the issue persists, we need to raise the issue to Qualcomm.

[1] https://kernel.ubuntu.com/~kernel-ppa/mainline/v5.2-rc2/
[2] https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/

@Kai-Heng Feng: I will do that.

However, I'm deadlined right now and this is my production machine, so it'll have to wait for the paying job to be dealt with. Two questions, though:

1. The latest linux-firmware that you directed me to (linux-firmware-20190514.tar.gz) is obviously intended for those who know what they're doing. It is just a matter of "make install" or is there more to installing this version? I'm a little concerned about hosing my system, seeing as it's my production machine.

2. Can I simply install:
linux-image-unsigned-5.2.0-050200rc2-generic_5.2.0-050200rc2.201905262130_amd64.deb
linux-modules-5.2.0-050200rc2-generic_5.2.0-050200rc2.201905262130_amd64.deb
linux-headers-5.2.0-050200rc2-generic_5.2.0-050200rc2.201905262130_amd64.deb
or are there other dependencies as well?

Please advise. Thank you!

On Fri, May 31, 2019 at 10:41:17AM -0000, Frank van Wensveen wrote:
> 1. The latest linux-firmware that you directed me to (linux-
> firmware-20190514.tar.gz) is obviously intended for those who know what
> they're doing. It is just a matter of "make install" or is there more to
> installing this version? I'm a little concerned about hosing my system,
> seeing as it's my production machine.

I think you would be better off making backup copies of the specific
files the driver uses, then replace the original files with the versions
from the link. Running "modinfo -F firmware /lib/modules/$(uname
-r)/kernel/drivers/net/wireless/ath/ath10k/ath10k_pci.ko" in a terminal
will give you a list of the firmware files the driver may be using. Note
that the paths it prints need to have /lib/firmware/ prepended.

> 2. Can I simply install:
> linux-image-unsigned-5.2.0-050200rc2-generic_5.2.0-050200rc2.201905262130_amd64.deb
> linux-modules-5.2.0-050200rc2-generic_5.2.0-050200rc2.201905262130_amd64.deb
> linux-headers-5.2.0-050200rc2-generic_5.2.0-050200rc2.201905262130_amd64.deb
> or are there other dependencies as well?

You might also need the linux-headers-*_all.deb package. You probably
only need the headers packages if you are using dkms modules, but if the
*_amd64 package without the *_all package won't do you much good. If
you're unsure whether you need them just go ahead and install them; they
won't hurt anything.

Sorry, previous post was repeated following a browser crash / session restore. My bad.

@Seth Forshee:

> I think you would be better off making backup copies of the specific
> files the driver uses, then replace the original files with the versions
> from the link. Running "modinfo -F firmware /lib/modules/$(uname
> -r)/kernel/drivers/net/wireless/ath/ath10k/ath10k_pci.ko" in a terminal
> will give you a list of the firmware files the driver may be using. Note
> that the paths it prints need to have /lib/firmware/ prepended.

OK. The "modinfo -F" command you gave me returns a list of files:

ath10k/QCA9377/hw1.0/board.bin
ath10k/QCA9377/hw1.0/firmware-5.bin
ath10k/QCA6174/hw3.0/board-2.bin
ath10k/QCA6174/hw3.0/board.bin
ath10k/QCA6174/hw3.0/firmware-6.bin
ath10k/QCA6174/hw3.0/firmware-5.bin
ath10k/QCA6174/hw3.0/firmware-4.bin
ath10k/QCA6174/hw2.1/board-2.bin
ath10k/QCA6174/hw2.1/board.bin
ath10k/QCA6174/hw2.1/firmware-5.bin
ath10k/QCA6174/hw2.1/firmware-4.bin
ath10k/QCA9887/hw1.0/board-2.bin
ath10k/QCA9887/hw1.0/board.bin
ath10k/QCA9887/hw1.0/firmware-5.bin
ath10k/QCA988X/hw2.0/board-2.bin
ath10k/QCA988X/hw2.0/board.bin
ath10k/QCA988X/hw2.0/firmware-5.bin
ath10k/QCA988X/hw2.0/firmware-4.bin
ath10k/QCA988X/hw2.0/firmware-3.bin
ath10k/QCA988X/hw2.0/firmware-2.bin

but not all these files exist in the updated firmware build I downloaded as per Kai-Heng Feng's instructions above. And in the directory you had me check are only *.ko files. So I'm not sure what to replace with what here.

Sorry, guys, but the last time I built my own kernel was on Slackware Linux 1.18 in 1994 (if memory serves) and the current structure and organization of the various kernel components is a little beyond me. I'm eager to do whatever you need me to do to provide you with the data you need in order to find out what the problem is, but I'm going to need a little bit of hand-holding here. Sorry to be a pain but I'm not at all sure how to proceed at this point to install the updated kernel and firmware modules you need me to try.

Any further advise would be appreciated!

Seth Forshee (sforshee) wrote :

On Mon, Jun 03, 2019 at 12:26:44PM -0000, Frank van Wensveen wrote:
> OK. The "modinfo -F" command you gave me returns a list of files:
>
> ath10k/QCA9377/hw1.0/board.bin
> ath10k/QCA9377/hw1.0/firmware-5.bin
> ath10k/QCA6174/hw3.0/board-2.bin
> ath10k/QCA6174/hw3.0/board.bin
> ath10k/QCA6174/hw3.0/firmware-6.bin
> ath10k/QCA6174/hw3.0/firmware-5.bin
> ath10k/QCA6174/hw3.0/firmware-4.bin
> ath10k/QCA6174/hw2.1/board-2.bin
> ath10k/QCA6174/hw2.1/board.bin
> ath10k/QCA6174/hw2.1/firmware-5.bin
> ath10k/QCA6174/hw2.1/firmware-4.bin
> ath10k/QCA9887/hw1.0/board-2.bin
> ath10k/QCA9887/hw1.0/board.bin
> ath10k/QCA9887/hw1.0/firmware-5.bin
> ath10k/QCA988X/hw2.0/board-2.bin
> ath10k/QCA988X/hw2.0/board.bin
> ath10k/QCA988X/hw2.0/firmware-5.bin
> ath10k/QCA988X/hw2.0/firmware-4.bin
> ath10k/QCA988X/hw2.0/firmware-3.bin
> ath10k/QCA988X/hw2.0/firmware-2.bin
>
> but not all these files exist in the updated firmware build I downloaded
> as per Kai-Heng Feng's instructions above.

It's possible not all the files will be there. I would do something like
this:

 $ sudo mv /lib/firmware/ath10k /lib/firmware/ath10k.bak
 $ sudo cp -r <downloaded_build>/ath10k /lib/firmware

Then when you're finished you can restore the old files:

 $ sudo rm -r /lib/firmware/ath10k
 $ sudo mv /lib/firmware/ath10k.bak /lib/firmware/ath10k

> And in the directory you had
> me check are only *.ko files. So I'm not sure what to replace with what
> here.

Firmware files are located under /lib/firmware.

Download full text (11.3 KiB)

OK. I followed the above instructions and eventually managed to install the recommended firmware and kernel. Upon rebooting there were several console errors:

[ 1.096562] Couldn't get size: 0x800000000000000e
[ 1.700597] psmouse serio1: elantech: elantech_send_cmd query 0x02 failed.
[ 1.700620] psmouse serio1: elantech: failed to query capabilities.

Eventually the system booted. The USB mouse didn't work but the laptop's touch pad still functioned. Wireless network support appeared to be fine. I did not experience the problems that triggered this bug report.

Output of "modinfo ath10k_core" before the upgrade:

filename: /lib/modules/4.15.0-50-generic/kernel/drivers/net/wireless/ath/ath10k/ath10k_core.ko
license: Dual BSD/GPL
description: Core module for Qualcomm Atheros 802.11ac wireless LAN cards.
author: Qualcomm Atheros
srcversion: 165FDC1E16C9659545F5EBF
depends: mac80211,cfg80211,ath
retpoline: Y
intree: Y
name: ath10k_core
vermagic: 4.15.0-50-generic SMP mod_unload
signat: PKCS#7
signer:
sig_key:
sig_hashalgo: md4
parm: debug_mask:Debugging mask (uint)
parm: uart_print:Uart target debugging (bool)
parm: skip_otp:Skip otp failure for calibration in testmode (bool)
parm: cryptmode:Crypto mode: 0-hardware, 1-software (uint)
parm: rawmode:Use raw 802.11 frame datapath (bool)

Output of 'modinfo ath10k_core" after the upgrade:

filename: /lib/modules/5.2.0-050200rc2-generic/kernel/drivers/net/wireless/ath/ath10k/ath10k_core.ko
license: Dual BSD/GPL
description: Core module for Qualcomm Atheros 802.11ac wireless LAN cards.
author: Qualcomm Atheros
srcversion: 8629BA1FF61C3F4A154EFE0
depends: mac80211,cfg80211,ath
retpoline: Y
intree: Y
name: ath10k_core
vermagic: 5.2.0-050200rc2-generic SMP mod_unload
signat: PKCS#7
signer:
sig_key:
sig_hashalgo: md4
parm: debug_mask:Debugging mask (uint)
parm: uart_print:Uart target debugging (bool)
parm: skip_otp:Skip otp failure for calibration in testmode (bool)
parm: cryptmode:Crypto mode: 0-hardware, 1-software (uint)
parm: rawmode:Use raw 802.11 frame datapath (bool)
parm: coredump_mask:Bitfield of what to include in firmware crash file (ulong)

Output of 'modinfo ath10k_pci" before:

filename: /lib/modules/4.15.0-50-generic/kernel/drivers/net/wireless/ath/ath10k/ath10k_pci.ko
firmware: ath10k/QCA9377/hw1.0/board.bin
firmware: ath10k/QCA9377/hw1.0/firmware-5.bin
firmware: ath10k/QCA6174/hw3.0/board-2.bin
firmware: ath10k/QCA6174/hw3.0/board.bin
firmware: ath10k/QCA6174/hw3.0/firmware-6.bin
firmware: ath10k/QCA6174/hw3.0/firmware-5.bin
firmware: ath10k/QCA6174/hw3.0/firmware-4.bin
firmware: ath10k/QCA6174/hw2.1/board-2.bin
firmware: ath10k/QCA6174/hw2.1/board.bin
firmware: ath10k/QCA6174/hw2.1/firmware-5.bin
firmware: ath10k/QCA6174/hw2.1/firmware-4.bin
firmware: ath10k/QCA9887/hw1.0/board-2.bin
firmware: ath10k/QCA9887/hw1.0/board.bin
firmware: a...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers